|  | Home · All Classes · Modules

# QTextEdit.ExtraSelection Class Reference
[QtGui module]

The QTextEdit.ExtraSelection structure provides a way of specifying a character format for a given selection in a document More...

### Methods

- __init__ (self)
- __init__ (self, ExtraSelection)

### Members

- QTextCursor cursor
- QTextCharFormat format

## Detailed Description

The QTextEdit.ExtraSelection structure provides a way of specifying a character format for a given selection in a document

## Method Documentation

### ExtraSelection.__init__ (self)

### ExtraSelection.__init__ (self, ExtraSelection)

## Member Documentation

### QTextCursor cursor

A cursor that contains a selection in a QTextDocument

### QTextCharFormat format

A format that is used to specify a foreground or background brush/color for the selection.